#!/bin/bash

CAMERAMODEL="Canon PowerShot A570 IS (PTP mode)"
CAMERAFOLDER="/store_00010001/DCIM"

# waits for camera to appear
wait_for_play_mode ()
{
  lines=0
  
  while [ $lines != "2" ];
  do
    lines=`gphoto2 --quiet --auto-detect --stdout | grep "$CAMERAMODEL" | wc -l`
    sleep 1
  done
}

# wait for camera to disappear
wait_for_rec_mode ()
{
  lines=2
  
  while [ $lines != "0" ];
  do
    lines=`gphoto2 --quiet --auto-detect --stdout | grep "$CAMERAMODEL" | wc -l`
    sleep 1
  done
}

while true; do
  echo "waiting for camera to appear..."
  wait_for_play_mode
  echo "downloading..."
  gphoto2 --get-all-files --folder $CAMERAFOLDER 
  echo "deleting..."
  gphoto2 --delete-all-files --recurse --folder $CAMERAFOLDER

  # I'd like to upload a dummy file here, but I can't seem to get upload to work

  echo "waiting for camera to disappear"
  wait_for_rec_mode
done
